Package ru.bitel.bgbilling.modules.softline.common.bean

# Class SoftLineSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineSubscription

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class SoftLineSubscription
    extends Id

Модель подписки на продукт SoftLine

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SoftLineSubscription()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.lang.String` | `getDownloadData()` |
  `java.util.Date` | `getEndDate()` |
  `java.util.Date` | `getLastModifyDate()` |
  `int` | `getPeriodCount()` |
  `int` | `getProductId()` |
  `java.util.Date` | `getStartDate()` |
  `int` | `getStatus()` |
  `SubscriptionSuspendReason` | `getSuspendReason()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDownloadData​(java.lang.String downloadData)` |
  `void` | `setEndDate​(java.util.Date endDate)` |
  `void` | `setLastModifyDate​(java.util.Date lastModifyDate)` |
  `void` | `setPeriodCount​(int periodCount)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setStartDate​(java.util.Date startDate)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSuspendReason​(SubscriptionSuspendReason suspendReason)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SoftLineSubscription

    public SoftLineSubscription()

- ## Method Details

  - ### getPeriodCount

    public int getPeriodCount()

  - ### setPeriodCount

    public void setPeriodCount​(int periodCount)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId​(int productId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getSuspendReason

    public SubscriptionSuspendReason getSuspendReason()

  - ### setSuspendReason

    public void setSuspendReason​(SubscriptionSuspendReason suspendReason)

  - ### getStartDate

    public java.util.Date getStartDate()

  - ### setStartDate

    public void setStartDate​(java.util.Date startDate)

  - ### getLastModifyDate

    public java.util.Date getLastModifyDate()

  - ### setLastModifyDate

    public void setLastModifyDate​(java.util.Date lastModifyDate)

  - ### getEndDate

    public java.util.Date getEndDate()

  - ### setEndDate

    public void setEndDate​(java.util.Date endDate)

  - ### getDownloadData

    public java.lang.String getDownloadData()

  - ### setDownloadData

    public void setDownloadData​(java.lang.String downloadData)